RelayAPI

Create an API key

Create a new API key. The full key is returned only once in the response — store it securely.

POST
/v1/api-keys
AuthorizationBearer <token>

API key (rlay_live_* or rlay_test_). Invite redemption also accepts a server-derived rlay_session_ bearer for a current user session.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/api-keys" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "can_manage_ad_conversions": true,  "can_manage_ad_leads": true,  "can_manage_api_keys": true,  "can_manage_billing": true,  "can_manage_spend": true,  "can_view_ad_leads": true,  "can_view_billing": true,  "created_at": "2019-08-24T14:15:22Z",  "created_by_principal_id": "string",  "expires_at": "2019-08-24T14:15:22Z",  "id": "string",  "key": "string",  "name": "string",  "permission": "read_write",  "prefix": "string",  "workspace_scope": "all"}

Found something wrong? Help us improve this page.